Uses of Class
org.alfresco.rest.model.RestItemModel
-
Packages that use RestItemModel Package Description org.alfresco.rest.model org.alfresco.rest.requests -
-
Uses of RestItemModel in org.alfresco.rest.model
Methods in org.alfresco.rest.model that return RestItemModel Modifier and Type Method Description RestItemModelRestItemModelsCollection. getProcessItemByName(java.lang.String name)RestItemModelRestItemModel. onModel()Methods in org.alfresco.rest.model that return types with arguments of type RestItemModel Modifier and Type Method Description ModelAssertion<RestItemModel>RestItemModel. and()ModelAssertion<RestItemModel>RestItemModel. assertThat() -
Uses of RestItemModel in org.alfresco.rest.requests
Methods in org.alfresco.rest.requests that return RestItemModel Modifier and Type Method Description RestItemModelProcesses. addProcessItem(org.alfresco.utility.model.FileModel fileModel)Add process item using POST /processes/{processId}/itemsRestItemModelTask. addTaskItem(org.alfresco.utility.model.FileModel fileModel)Add task item using POST /tasks/{taskId}/itemsMethods in org.alfresco.rest.requests with parameters of type RestItemModel Modifier and Type Method Description voidProcesses. deleteProcessItem(RestItemModel itemModel)Delete a process item using DELETE call on processes/{processId}/items/{itemId}voidTask. deleteTaskItem(RestItemModel itemModel)Delete a task item using DELETE call on tasks/{taskId}/items/{itemId}
-